org.eclipse.microprofile.reactive.streams.operators.tck

## Class DefaultReactiveStreamsFactory

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.DefaultReactiveStreamsFactory

All Implemented Interfaces:
  ReactiveStreamsFactory

    public class DefaultReactiveStreamsFactory
    extends java.lang.Object
    implements ReactiveStreamsFactory

Implementation of the `ReactiveStreamsFactory` that delegates to `ReactiveStreams` static factory methods.

### Constructor Summary

Constructors
Constructor and Description
`DefaultReactiveStreamsFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> ProcessorBuilder<T,T>` `builder()`
`<T> PublisherBuilder<T>` `concat(PublisherBuilder<? extends T> a, PublisherBuilder<? extends T> b)`
`<T,R> ProcessorBuilder<T,R>` `coupled(org.reactivestreams.Subscriber<? super T> subscriber, org.reactivestreams.Publisher<? extends R> publisher)`
`<T,R> ProcessorBuilder<T,R>` `coupled(SubscriberBuilder<? super T,?> subscriber, PublisherBuilder<? extends R> publisher)`
`<T> PublisherBuilder<T>` `empty()`
`<T> PublisherBuilder<T>` `failed(java.lang.Throwable t)`
`<T> PublisherBuilder<T>` `fromCompletionStage(java.util.concurrent.CompletionStage<? extends T> completionStage)`
`<T> PublisherBuilder<T>` `fromCompletionStageNullable(java.util.concurrent.CompletionStage<? extends T> completionStage)`
`<T> PublisherBuilder<T>` `fromIterable(java.lang.Iterable<? extends T> ts)`
`<T,R> ProcessorBuilder<T,R>` `fromProcessor(org.reactivestreams.Processor<? super T,? extends R> processor)`
`<T> PublisherBuilder<T>` `fromPublisher(org.reactivestreams.Publisher<? extends T> publisher)`
`<T> SubscriberBuilder<T,java.lang.Void>` `fromSubscriber(org.reactivestreams.Subscriber<? super T> subscriber)`
`<T> PublisherBuilder<T>` `generate(java.util.function.Supplier<? extends T> s)`
`<T> PublisherBuilder<T>` `iterate(T seed, java.util.function.UnaryOperator<T> f)`
`<T> PublisherBuilder<T>` `of(T... ts)`
`<T> PublisherBuilder<T>` `of(T t)`
`<T> PublisherBuilder<T>` `ofNullable(T t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultReactiveStreamsFactory

    public DefaultReactiveStreamsFactory()

### Method Detail

#### fromPublisher

    public <T> PublisherBuilder<T> fromPublisher(org.reactivestreams.Publisher<? extends T> publisher)

Specified by:
  `fromPublisher` in interface `ReactiveStreamsFactory`

#### of

    public <T> PublisherBuilder<T> of(T t)

Specified by:
  `of` in interface `ReactiveStreamsFactory`

#### of

    public <T> PublisherBuilder<T> of(T... ts)

Specified by:
  `of` in interface `ReactiveStreamsFactory`

#### empty

    public <T> PublisherBuilder<T> empty()

Specified by:
  `empty` in interface `ReactiveStreamsFactory`

#### ofNullable

    public <T> PublisherBuilder<T> ofNullable(T t)

Specified by:
  `ofNullable` in interface `ReactiveStreamsFactory`

#### fromIterable

    public <T> PublisherBuilder<T> fromIterable(java.lang.Iterable<? extends T> ts)

Specified by:
  `fromIterable` in interface `ReactiveStreamsFactory`

#### failed

    public <T> PublisherBuilder<T> failed(java.lang.Throwable t)

Specified by:
  `failed` in interface `ReactiveStreamsFactory`

#### builder

    public <T> ProcessorBuilder<T,T> builder()

Specified by:
  `builder` in interface `ReactiveStreamsFactory`

#### fromProcessor

    public <T,R> ProcessorBuilder<T,R> fromProcessor(org.reactivestreams.Processor<? super T,? extends R> processor)

Specified by:
  `fromProcessor` in interface `ReactiveStreamsFactory`

#### fromSubscriber

    public <T> SubscriberBuilder<T,java.lang.Void> fromSubscriber(org.reactivestreams.Subscriber<? super T> subscriber)

Specified by:
  `fromSubscriber` in interface `ReactiveStreamsFactory`

#### iterate

    public <T> PublisherBuilder<T> iterate(T seed,
                                           java.util.function.UnaryOperator<T> f)

Specified by:
  `iterate` in interface `ReactiveStreamsFactory`

#### generate

    public <T> PublisherBuilder<T> generate(java.util.function.Supplier<? extends T> s)

Specified by:
  `generate` in interface `ReactiveStreamsFactory`

#### concat

    public <T> PublisherBuilder<T> concat(PublisherBuilder<? extends T> a,
                                          PublisherBuilder<? extends T> b)

Specified by:
  `concat` in interface `ReactiveStreamsFactory`

#### fromCompletionStage

    public <T> PublisherBuilder<T> fromCompletionStage(java.util.concurrent.CompletionStage<? extends T> completionStage)

Specified by:
  `fromCompletionStage` in interface `ReactiveStreamsFactory`

#### fromCompletionStageNullable

    public <T> PublisherBuilder<T> fromCompletionStageNullable(java.util.concurrent.CompletionStage<? extends T> completionStage)

Specified by:
  `fromCompletionStageNullable` in interface `ReactiveStreamsFactory`

#### coupled

    public <T,R> ProcessorBuilder<T,R> coupled(SubscriberBuilder<? super T,?> subscriber,
                                               PublisherBuilder<? extends R> publisher)

Specified by:
  `coupled` in interface `ReactiveStreamsFactory`

#### coupled

    public <T,R> ProcessorBuilder<T,R> coupled(org.reactivestreams.Subscriber<? super T> subscriber,
                                               org.reactivestreams.Publisher<? extends R> publisher)

Specified by:
  `coupled` in interface `ReactiveStreamsFactory`